package com.cpxt.biz.service;

import java.util.List;
import com.cpxt.biz.domain.BizCustomerRoute;

/**
 * 路线Service接口
 * 
 * @author YIN
 * @date 2024-12-16
 */
public interface IBizCustomerRouteService 
{
    /**
     * 查询路线
     * 
     * @param id 路线主键
     * @return 路线
     */
    public BizCustomerRoute selectBizCustomerRouteById(Long id);

    /**
     * 查询路线列表
     * 
     * @param bizCustomerRoute 路线
     * @return 路线集合
     */
    public List<BizCustomerRoute> selectBizCustomerRouteList(BizCustomerRoute bizCustomerRoute);

    /**
     * 新增路线
     * 
     * @param bizCustomerRoute 路线
     * @return 结果
     */
    public int insertBizCustomerRoute(BizCustomerRoute bizCustomerRoute);

    /**
     * 修改路线
     * 
     * @param bizCustomerRoute 路线
     * @return 结果
     */
    public int updateBizCustomerRoute(BizCustomerRoute bizCustomerRoute);

    /**
     * 批量删除路线
     * 
     * @param ids 需要删除的路线主键集合
     * @return 结果
     */
    public int deleteBizCustomerRouteByIds(Long[] ids);

    /**
     * 删除路线信息
     * 
     * @param id 路线主键
     * @return 结果
     */
    public int deleteBizCustomerRouteById(Long id);
}
